project-bindings

Operations of the Project Registry API. Paths are relative to your deployment's API host.

GET /api/project-registry-api/projects/{projectId}/bindings

List references-slot bindings for a project

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
projectIdpathstringyes
StatusDescriptionBody
200application/json ProjectBindingResponseDtoDataArrayEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/project-registry-api/projects/{projectId}/bindings

Create a references-slot binding (KB space or external project)

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
projectIdpathstringyes

Request body: application/json CreateProjectBindingDto

StatusDescriptionBody
201application/json ProjectBindingResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

DELETE /api/project-registry-api/projects/{projectId}/bindings/{bindingId}

Delete a references-slot binding

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
bindingIdpathstringyes
projectIdpathstringyes
StatusDescriptionBody
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto